## org.eclipse.amp.agf.chart
Interface IChartDesignStrategy

All Known Implementing Classes:
  BasicAxesChartStrategy, BasicChartStrategy, HistogramStrategy, PieStrategy, StackAreaStrategy, TimeSeriesStrategy

    public interface IChartDesignStrategy

Method Summary
`org.eclipse.birt.chart.model.Chart` `createChart(IDataProvider dataProvider, java.lang.Object dataSource)`
`org.eclipse.birt.chart.model.Chart` `getChart()`
`org.eclipse.birt.chart.model.data.SeriesDefinition` `getValueSetsDefinition()`
`boolean` `isInitialized()`
`void` `setChart(org.eclipse.birt.chart.model.Chart chart)`
`void` `update()`
`void` `updateSelection()`

Method Detail

### update

    void update()

### createChart

    org.eclipse.birt.chart.model.Chart createChart(IDataProvider dataProvider,
                                                   java.lang.Object dataSource)

### getValueSetsDefinition

    org.eclipse.birt.chart.model.data.SeriesDefinition getValueSetsDefinition()

### getChart

    org.eclipse.birt.chart.model.Chart getChart()

### setChart

    void setChart(org.eclipse.birt.chart.model.Chart chart)

### updateSelection

    void updateSelection()

### isInitialized

    boolean isInitialized()

  Returns: